package org.wso2.carbon.device.mgt.ios.api.utils.beans;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(
        value = "DeviceIdentifierBean",
        description = "This class carries all information related DeviceIdentifier."
)
public class DeviceIdentifierBean {

    @ApiModelProperty(
            name = "deviceID",
            value = "Device Identifier.",
            required = true
    )
    private String deviceID;
    @ApiModelProperty(
            name = "accessToken",
            value = "Access Token.",
            required = true
    )
    private String accessToken;
    @ApiModelProperty(
            name = "refreshToken",
            value = "Refresh Token.",
            required = true
    )
    private String refreshToken;
    @ApiModelProperty(
            name = "clientCredentials",
            value = "Client credentials.",
            required = true
    )
    private String clientCredentials;

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getRefreshToken() {
        return refreshToken;
    }

    public void setRefreshToken(String refreshToken) {
        this.refreshToken = refreshToken;
    }

    public String getClientCredentials() {
        return clientCredentials;
    }

    public void setClientCredentials(String clientCredentials) {
        this.clientCredentials = clientCredentials;
    }

    public String getDeviceID() {
        return deviceID;
    }

    public void setDeviceID(String deviceID) {
        this.deviceID = deviceID;
    }
}
